import{s as Ft,n as Vt,o as At}from"../chunks/scheduler.85c25b89.js";import{S as St,i as qt,g as s,s as i,r as p,A as Qt,h as m,f as l,c as a,j as q,u as o,x as h,k as Yt,y as u,a as n,v as r,d,t as f,w as c}from"../chunks/index.c9837788.js";import{C as v}from"../chunks/CodeBlock.52fa569e.js";import{H as _t,E as Dt}from"../chunks/EditOnGithub.b65eee75.js";function Ot(Ut){let g,O,Q,K,b,tt,y,Wt="Before you start, you’ll need to setup your environment and install the appropriate packages. <code>timm</code> is tested on <strong>Python 3+</strong>.",et,w,lt,M,Lt='You should install <code>timm</code> in a <a href="https://docs.python.org/3/library/venv.html" rel="nofollow">virtual environment</a> to keep things tidy and avoid dependency conflicts.',nt,$,T,F,kt="Create and navigate to your project directory:",jt,J,xt,_,V,It="Start a virtual environment inside your directory:",Ct,j,Ht,x,A,Rt="Activate and deactivate the virtual environment with the following commands:",Gt,C,it,H,Zt="Once you’ve created your virtual environment, you can install <code>timm</code> in it.",at,G,st,U,Nt="The most straightforward way to install <code>timm</code> is with pip:",mt,W,pt,L,Et="Alternatively, you can install <code>timm</code> from GitHub directly to get the latest, bleeding-edge version:",ot,k,rt,I,Xt="Run the following command to check if <code>timm</code> has been properly installed:",dt,R,ft,Z,zt="This command lists the first five pretrained models available in <code>timm</code> (which are sorted alphebetically). You should see the following output:",ct,N,ht,E,ut,X,Bt="Building <code>timm</code> from source lets you make changes to the code base. To install from the source, clone the repository and install with the following commands:",$t,z,gt,B,Pt="Again, you can check if <code>timm</code> was properly installed with the following command:",vt,P,bt,Y,yt,D,wt;return b=new _t({props:{title:"Installation",local:"installation",headingTag:"h1"}}),w=new _t({props:{title:"Virtual Environment",local:"virtual-environment",headingTag:"h2"}}),J=new v({props:{code:"bWtkaXIlMjB+JTJGbXktcHJvamVjdCUwQWNkJTIwfiUyRm15LXByb2plY3Q=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/my-project
<span class="hljs-built_in">cd</span> ~/my-project`,wrap:!1}}),j=new v({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'python -m venv .<span class="hljs-built_in">env</span>',wrap:!1}}),C=new v({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),G=new _t({props:{title:"Using pip",local:"using-pip",headingTag:"h2"}}),W=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRpbW0=",highlighted:"pip install timm",wrap:!1}}),k=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRnJ3aWdodG1hbiUyRnB5dG9yY2gtaW1hZ2UtbW9kZWxzLmdpdA==",highlighted:"pip install git+https://github.com/rwightman/pytorch-image-models.git",wrap:!1}}),R=new v({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),N=new v({props:{code:"JTVCJ2Fkdl9pbmNlcHRpb25fdjMnJTJDJTIwJ2JhdF9yZXNuZXh0MjZ0cyclMkMlMjAnYmVpdF9iYXNlX3BhdGNoMTZfMjI0JyUyQyUyMCdiZWl0X2Jhc2VfcGF0Y2gxNl8yMjRfaW4yMmsnJTJDJTIwJ2JlaXRfYmFzZV9wYXRjaDE2XzM4NCclNUQ=",highlighted:'[<span class="hljs-string">&#x27;adv_inception_v3&#x27;</span>, <span class="hljs-string">&#x27;bat_resnext26ts&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224_in22k&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_384&#x27;</span>]',wrap:!1}}),E=new _t({props:{title:"From Source",local:"from-source",headingTag:"h2"}}),z=new v({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZyd2lnaHRtYW4lMkZweXRvcmNoLWltYWdlLW1vZGVscy5naXQlMEFjZCUyMHRpbW0lMEFwaXAlMjBpbnN0YWxsJTIwLWUlMjAu",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/rwightman/pytorch-image-models.git
<span class="hljs-built_in">cd</span> timm
pip install -e .`,wrap:!1}}),P=new v({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),Y=new Dt({props:{source:"https://github.com/huggingface/pytorch-image-models/blob/main/hfdocs/source/installation.mdx"}}),{c(){g=s("meta"),O=i(),Q=s("p"),K=i(),p(b.$$.fragment),tt=i(),y=s("p"),y.innerHTML=Wt,et=i(),p(w.$$.fragment),lt=i(),M=s("p"),M.innerHTML=Lt,nt=i(),$=s("ol"),T=s("li"),F=s("p"),F.textContent=kt,jt=i(),p(J.$$.fragment),xt=i(),_=s("li"),V=s("p"),V.textContent=It,Ct=i(),p(j.$$.fragment),Ht=i(),x=s("li"),A=s("p"),A.textContent=Rt,Gt=i(),p(C.$$.fragment),it=i(),H=s("p"),H.innerHTML=Zt,at=i(),p(G.$$.fragment),st=i(),U=s("p"),U.innerHTML=Nt,mt=i(),p(W.$$.fragment),pt=i(),L=s("p"),L.innerHTML=Et,ot=i(),p(k.$$.fragment),rt=i(),I=s("p"),I.innerHTML=Xt,dt=i(),p(R.$$.fragment),ft=i(),Z=s("p"),Z.innerHTML=zt,ct=i(),p(N.$$.fragment),ht=i(),p(E.$$.fragment),ut=i(),X=s("p"),X.innerHTML=Bt,$t=i(),p(z.$$.fragment),gt=i(),B=s("p"),B.innerHTML=Pt,vt=i(),p(P.$$.fragment),bt=i(),p(Y.$$.fragment),yt=i(),D=s("p"),this.h()},l(t){const e=Qt("svelte-u9bgzb",document.head);g=m(e,"META",{name:!0,content:!0}),e.forEach(l),O=a(t),Q=m(t,"P",{}),q(Q).forEach(l),K=a(t),o(b.$$.fragment,t),tt=a(t),y=m(t,"P",{"data-svelte-h":!0}),h(y)!=="svelte-1qm30ue"&&(y.innerHTML=Wt),et=a(t),o(w.$$.fragment,t),lt=a(t),M=m(t,"P",{"data-svelte-h":!0}),h(M)!=="svelte-1tspkue"&&(M.innerHTML=Lt),nt=a(t),$=m(t,"OL",{});var S=q($);T=m(S,"LI",{});var Mt=q(T);F=m(Mt,"P",{"data-svelte-h":!0}),h(F)!=="svelte-1r7xizg"&&(F.textContent=kt),jt=a(Mt),o(J.$$.fragment,Mt),Mt.forEach(l),xt=a(S),_=m(S,"LI",{});var Tt=q(_);V=m(Tt,"P",{"data-svelte-h":!0}),h(V)!=="svelte-f9gewz"&&(V.textContent=It),Ct=a(Tt),o(j.$$.fragment,Tt),Tt.forEach(l),Ht=a(S),x=m(S,"LI",{});var Jt=q(x);A=m(Jt,"P",{"data-svelte-h":!0}),h(A)!=="svelte-1emagpr"&&(A.textContent=Rt),Gt=a(Jt),o(C.$$.fragment,Jt),Jt.forEach(l),S.forEach(l),it=a(t),H=m(t,"P",{"data-svelte-h":!0}),h(H)!=="svelte-1h1fnqh"&&(H.innerHTML=Zt),at=a(t),o(G.$$.fragment,t),st=a(t),U=m(t,"P",{"data-svelte-h":!0}),h(U)!=="svelte-1ofkc7p"&&(U.innerHTML=Nt),mt=a(t),o(W.$$.fragment,t),pt=a(t),L=m(t,"P",{"data-svelte-h":!0}),h(L)!=="svelte-8jifzq"&&(L.innerHTML=Et),ot=a(t),o(k.$$.fragment,t),rt=a(t),I=m(t,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1gn5ojl"&&(I.innerHTML=Xt),dt=a(t),o(R.$$.fragment,t),ft=a(t),Z=m(t,"P",{"data-svelte-h":!0}),h(Z)!=="svelte-1o1qut7"&&(Z.innerHTML=zt),ct=a(t),o(N.$$.fragment,t),ht=a(t),o(E.$$.fragment,t),ut=a(t),X=m(t,"P",{"data-svelte-h":!0}),h(X)!=="svelte-5qedlp"&&(X.innerHTML=Bt),$t=a(t),o(z.$$.fragment,t),gt=a(t),B=m(t,"P",{"data-svelte-h":!0}),h(B)!=="svelte-tvmqyx"&&(B.innerHTML=Pt),vt=a(t),o(P.$$.fragment,t),bt=a(t),o(Y.$$.fragment,t),yt=a(t),D=m(t,"P",{}),q(D).forEach(l),this.h()},h(){Yt(g,"name","hf:doc:metadata"),Yt(g,"content",Kt)},m(t,e){u(document.head,g),n(t,O,e),n(t,Q,e),n(t,K,e),r(b,t,e),n(t,tt,e),n(t,y,e),n(t,et,e),r(w,t,e),n(t,lt,e),n(t,M,e),n(t,nt,e),n(t,$,e),u($,T),u(T,F),u(T,jt),r(J,T,null),u($,xt),u($,_),u(_,V),u(_,Ct),r(j,_,null),u($,Ht),u($,x),u(x,A),u(x,Gt),r(C,x,null),n(t,it,e),n(t,H,e),n(t,at,e),r(G,t,e),n(t,st,e),n(t,U,e),n(t,mt,e),r(W,t,e),n(t,pt,e),n(t,L,e),n(t,ot,e),r(k,t,e),n(t,rt,e),n(t,I,e),n(t,dt,e),r(R,t,e),n(t,ft,e),n(t,Z,e),n(t,ct,e),r(N,t,e),n(t,ht,e),r(E,t,e),n(t,ut,e),n(t,X,e),n(t,$t,e),r(z,t,e),n(t,gt,e),n(t,B,e),n(t,vt,e),r(P,t,e),n(t,bt,e),r(Y,t,e),n(t,yt,e),n(t,D,e),wt=!0},p:Vt,i(t){wt||(d(b.$$.fragment,t),d(w.$$.fragment,t),d(J.$$.fragment,t),d(j.$$.fragment,t),d(C.$$.fragment,t),d(G.$$.fragment,t),d(W.$$.fragment,t),d(k.$$.fragment,t),d(R.$$.fragment,t),d(N.$$.fragment,t),d(E.$$.fragment,t),d(z.$$.fragment,t),d(P.$$.fragment,t),d(Y.$$.fragment,t),wt=!0)},o(t){f(b.$$.fragment,t),f(w.$$.fragment,t),f(J.$$.fragment,t),f(j.$$.fragment,t),f(C.$$.fragment,t),f(G.$$.fragment,t),f(W.$$.fragment,t),f(k.$$.fragment,t),f(R.$$.fragment,t),f(N.$$.fragment,t),f(E.$$.fragment,t),f(z.$$.fragment,t),f(P.$$.fragment,t),f(Y.$$.fragment,t),wt=!1},d(t){t&&(l(O),l(Q),l(K),l(tt),l(y),l(et),l(lt),l(M),l(nt),l($),l(it),l(H),l(at),l(st),l(U),l(mt),l(pt),l(L),l(ot),l(rt),l(I),l(dt),l(ft),l(Z),l(ct),l(ht),l(ut),l(X),l($t),l(gt),l(B),l(vt),l(bt),l(yt),l(D)),l(g),c(b,t),c(w,t),c(J),c(j),c(C),c(G,t),c(W,t),c(k,t),c(R,t),c(N,t),c(E,t),c(z,t),c(P,t),c(Y,t)}}}const Kt='{"title":"Installation","local":"installation","sections":[{"title":"Virtual Environment","local":"virtual-environment","sections":[],"depth":2},{"title":"Using pip","local":"using-pip","sections":[],"depth":2},{"title":"From Source","local":"from-source","sections":[],"depth":2}],"depth":1}';function te(Ut){return At(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ae extends St{constructor(g){super(),qt(this,g,te,Ot,Ft,{})}}export{ae as component};
